# XYMONDIGEST

Section: User Commands (1)
Updated: Version 4.3.30: 25 Jan 2026
Index Return to Main Contents

## NAME

xymondigest - calculate message digests

## SYNOPSIS

xymondigest md5|sha1|sha256|sha512|sha224|sha384|rmd160 [filename]

## DESCRIPTION

xymondigest(1) is a utility to calculate message digests for a file or document. It is used when defining HTTP- or FTP-based content checks, where xymonnet(1) checks that a URL returns a specific document; instead of having to compare the entire document, the comparison is done against a pre-computed message digest value using the MD5, RIPEMD160, SHA1 or any of the SHA2 (SHA-512, SHA-256, SHA-384, SHA-224) message digest algorithms.

The optional filename parameter is the input file whose message digest should be calculated; if no filename is given, the data is read from standard input.

xymondigest outputs a string containing the digest algorithm and the computed message digest. This is in a format suitable for use in the hosts.cfg(5) definition of a content check.

## EXAMPLE

$ xymondigest md5 index.html
md5:88b81b110a85c83db56a939caa2e2cf6

$ curl -s http://www.foo.com/ | xymondigest sha1
sha1:e5c69784cb971680e2c7380138e04021a20a45a2

## SEE ALSO

xymonnet(1), hosts.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
EXAMPLE
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 18:36:45 GMT, January 25, 2026